Skip to main content
PATCH
/
global_ip_assignments
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const globalIPAssignment = await client.globalIPAssignments.update(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
  { globalIpAssignmentUpdateRequest: {} },
);

console.log(globalIPAssignment.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
global_ip_assignment = client.global_ip_assignments.update(
global_ip_assignment_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
global_ip_assignment_update_request={},
)
print(global_ip_assignment.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
globalIPAssignment, err := client.GlobalIPAssignments.Update(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.GlobalIPAssignmentUpdateParams{
GlobalIPAssignmentUpdateRequest: telnyx.GlobalIPAssignmentUpdateParamsGlobalIPAssignmentUpdateRequest{
GlobalIPAssignmentParam: telnyx.GlobalIPAssignmentParam{},
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", globalIPAssignment.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.globalipassignments.GlobalIpAssignmentUpdateParams;
import com.telnyx.sdk.models.globalipassignments.GlobalIpAssignmentUpdateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

GlobalIpAssignmentUpdateResponse globalIpAssignment = client.globalIpAssignments().update("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

global_ip_assignment = telnyx.global_ip_assignments.update(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
global_ip_assignment_update_request: {}
)

puts(global_ip_assignment)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$globalIPAssignment = $client->globalIPAssignments->update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58', globalIPAssignmentUpdateRequest: []
);

var_dump($globalIPAssignment);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx global-ip-assignments update \
--api-key 'My API Key' \
--global-ip-assignment-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58 \
--global-ip-assignment-update-request '{}'
curl --request PATCH \
--url https://api.telnyx.com/v2/global_ip_assignments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"global_ip_id": "a836125b-20b6-452e-9c03-2653f09c7ed7",
"wireguard_peer_id": "e66c496d-4a85-423b-8b2a-8e63fac20320",
"is_in_maintenance": true
}
'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "global_ip_assignment",
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "global_ip_id": "a836125b-20b6-452e-9c03-2653f09c7ed7",
    "wireguard_peer_id": "e66c496d-4a85-423b-8b2a-8e63fac20320",
    "status": "provisioned",
    "is_connected": true,
    "is_in_maintenance": true,
    "is_announced": true
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identifies the resource.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/json
global_ip_id
string<uuid>

Global IP ID.

Example:

"a836125b-20b6-452e-9c03-2653f09c7ed7"

wireguard_peer_id
string<uuid>

Wireguard peer ID.

Example:

"e66c496d-4a85-423b-8b2a-8e63fac20320"

is_in_maintenance
boolean

Enable/disable BGP announcement.

Response

Successful response

data
Global IP · object